System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.WebControl System.Web.UI.ITextControl System.Web.UI.ControlValueProperty("Text", null) System.Web.UI.ToolboxData("<{0}:Label runat="server" Text="Label"></{0}:Label>") System.Web.UI.ParseChildren(false) System.ComponentModel.Designer("System.Web.UI.Design.WebControls.LabelDesigner, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a", "System.ComponentModel.Design.IDesigner") System.ComponentModel.DefaultProperty("Text") System.Web.UI.DataBindingHandler("System.Web.UI.Design.TextDataBindingHandler, System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a") System.Web.UI.ControlBuilder(typeof(System.Web.UI.WebControls.LabelControlBuilder)) Represents the label widget. The following ASP.Net program demonstrates the Label class. `<%@Page Language="C#" %> <html> <script runat=server> void Page_Load (object o, EventArgs e) { lbl1.Text += ". This added in Page_Load."; } </script> <head> <title>Label</title> </head> <body> <form runat="server"> <asp:label id="lbl1" Text="Text as property" runat="server"/> <br> <asp:label id="lbl2" runat="server">Text between tags</asp:label> </form> </body> </html>` The output of the program is: `Text as property. This added in Page_Load. Text between tags`
- Constructor
  To be added
  To be added
  1.0.5000.0
  2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void `` To be added. To be added. To be added.
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.ComponentModel.DefaultValue("")
  System.Web.UI.Themeable(false)
  System.ComponentModel.TypeConverter(typeof(System.Web.UI.WebControls.AssociatedControlConverter))
  System.Web.UI.IDReferenceProperty(typeof(System.Web.UI.Control))
  System.String To be added. To be added. To be added.
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Property
  1.0.5000.0
  2.0.0.0
  System.Web.UI.HtmlTextWriterTag To be added. To be added. To be added.
- Property
  System.String Gets or sets the text to be displayed. The text displayed in the label. To be added 1.0.5000.0 2.0.0.0 System.ComponentModel.Localizable(true) System.Web.UI.PersistenceMode(System.Web.UI.PersistenceMode.InnerDefaultProperty) System.ComponentModel.DefaultValue("") System.ComponentModel.Bindable(true)